---
title: "Get mobile carrier targeting values for site"
type: reference
method: GET
path: /rest-api/site/{siteId}/targeting/mobile-carrier/values.do
tag: "Targeting Rules"
---

# Get mobile carrier targeting values for site

`GET https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/mobile-carrier/values.do`

Returns a JSON array of all available mobile carrier names that can be used when creating mobile carrier targeting rules. These carrier name strings are the values to pass to the create mobile carrier targeting endpoint. Requires UPDATE permission on the site and MANAGE_SUPPLY_PRE_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `siteId` | integer | yes | `3001` | Unique numeric ID of the site |

## Responses

- `200` — Success
- `400` — Bad request — invalid or missing parameters
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Site not found
- `500` — Internal server error

## Example request

```bash
curl --request GET \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/mobile-carrier/values.do' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/get-site-targeting-mobile-carrier-values